# Preview Features

You probably found this document because you were thinking of testing a 
preview feature.

Preview features are features that are part of the production release, but not
enabled by default and not yet considered final. We MAY choose to implement
certain features as preview features first to get wider testing of said feature
before committing to supporting it for the remainder of the major server 
version.

The reason for introducing preview features is that it becomes much easier 
to test for potential interested parties without needing to install a 
development version of the VPN server.

If you choose to use a preview feature you MUST consider the following:

1. The feature MAY disappear altogether if it turns out nobody is using it;
2. The feature MAY require manual configuration changes on your server before 
   it is considered final;
3. The feature MAY change considerably requiring you to also modify other 
   parts or systems you interface with.
   
To make sure the use and continued support of preview features and eventual 
full support of said features you SHOULD let us know you are using them so we 
can keep you informed about them and inform you ahead of time when an upcoming
release MAY break your existing configuration.

Please write us on 
[eduvpn-support@lists.geant.org](mailto:eduvpn-support@lists.geant.org) if you 
are part of the R&E (Research & Education) community and want to discuss 
preview features in private, or if you are not part of the R&E community, or 
prefer public communication, publicly on 
[eduvpn-deploy@lists.geant.org](mailto:eduvpn-deploy@lists.geant.org).
